Author Topic: 0810 downgrade alpha 2.26 to 2.24 ? (for bug search)  (Read 1048 times)

Viking

  • Addicted
  • *
  • Posts: 521
    • View Profile
0810 downgrade alpha 2.26 to 2.24 ? (for bug search)
« on: August 04, 2009, 02:28:22 pm »
Hi,

can I somehow downgrade 0810 from alpha 2.26 to 2.24 ?

I would like to try that for fixing this problem : http://forum.linuxmce.org/index.php?topic=8635.0

I found out that I would need to downgrade the following :
pluto-system-database
pluto-orbiter
pluto-dhcpd-plugin
pluto-std-plugins

And I could download them from here - but would it work to install them ?

Viking

merkur2k

  • Addicted
  • *
  • Posts: 513
    • View Profile
Re: 0810 downgrade alpha 2.26 to 2.24 ? (for bug search)
« Reply #1 on: August 04, 2009, 04:48:02 pm »
I am not sure what the downgrade would do for you, you havent mentioned exactly what it is that you think is causing the problem.
In any case I dont think old debs are kept anywhere, so your only option would be to check out a specific svn version and build it yourself.

Viking

  • Addicted
  • *
  • Posts: 521
    • View Profile
Re: 0810 downgrade alpha 2.26 to 2.24 ? (for bug search)
« Reply #2 on: August 04, 2009, 09:14:55 pm »
Hi,

I just assume that the changes done has broken something as my dev system works and my prod system does not.

The link where the packages are were in the first post (disquised as "here") :
http://deb.linuxmce.org/ubuntu/dists/intrepid/lmce-alpha-latest-updates/binary-i386/

As the system is not usable right now I am trying out a downgrade right now.
It "crashes" all the time

Greetings
Viking

pigdog

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1008
    • View Profile
Re: 0810 downgrade alpha 2.26 to 2.24 ? (for bug search)
« Reply #3 on: August 04, 2009, 09:27:52 pm »
Hi,

To downgrade you could reload from scratch by doing other than alpha-latest.

You could select alphaX.tar.gz from http://deb.linuxmce.org/ubuntu/ that way there would be no issues trying to downgrade to a particular version of

pluto-system-database
pluto-orbiter
pluto-dhcpd-plugin
pluto-std-plugins

and any others.

Viking

  • Addicted
  • *
  • Posts: 521
    • View Profile
Re: 0810 downgrade alpha 2.26 to 2.24 ? (for bug search)
« Reply #4 on: August 05, 2009, 12:53:30 pm »
Hi Pigdog,

Thanks :) thats good to know - I will also try that if I fail to find another solution.

Greetings
Viking

colinjones

  • Alumni
  • LinuxMCE God
  • *
  • Posts: 3003
    • View Profile
Re: 0810 downgrade alpha 2.26 to 2.24 ? (for bug search)
« Reply #5 on: August 06, 2009, 01:36:59 am »
I think you will find that all that does is use an earlier set of install scripts. Not actually an earlier Alpha version.

The alphaX.tar.gz files are just the install scripts that trigger the download of the debs, set up the system, etc. But the debs themselves are always the latest Alpha version, even if you use an earlier script. In fact, as the alphas and the install scripts are changing over time, you will probably find that really early versions of the install scripts will fail to install and setup the later debs properly.

In short, don't confuse the install scripts versions with the actual Alpha versions, they are not the same thing. And you can see this from looking at the date stamps on that link... the "latest" is May 15, which is far older than the actual current Alpha... this is because the install process has stablised somewhat, now only the content of the debs is changing.

pigdog

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1008
    • View Profile
Re: 0810 downgrade alpha 2.26 to 2.24 ? (for bug search)
« Reply #6 on: August 06, 2009, 03:52:57 am »
Hi,

Well that's a little sad to know. 

I'd always thought that I could go back to when X-version was used and compare my results to the latest.

Makes backwards troubleshooting/debugging kinda waste of time.

Unless there's a "hidden" way or a way "I don't know" how to do it.